Skip to main content
GET
List Extensions for UI consumption

Authorizations

X-Domino-Api-Key
string
header
required

Query Parameters

mount_point_type
enum<string>[]
required

The mount point type to filter by. Can accept multiple values.

Minimum array length: 1

The type of mount point for the Extension.

Available options:
adminPanel,
netAppVolume,
dataset,
projectSidebar,
netAppVolumeFileContext,
datasetFileContext,
modelDetails
project_id
string

The id of the project to filter by.

kind
enum<string>

Filter Extensions by their kind (e.g. "DominoOfficial", "Uncategorized"). The category of the Extension.

Available options:
DominoOfficial,
Uncategorized
search_query
string

Filter Extensions by a case-insensitive substring match against name or description.

limit
integer

The maximum number of results to return. Use 0 for no limit (default).

Required range: x >= 0
offset
integer

The number of results to skip before starting to collect the result set.

Required range: x >= 0
sort_by
enum<string>

The field to sort by. By default, results are sorted by creation time. The field that the list of Extensions is sorted by.

Available options:
createdAt,
name,
updatedAt,
totalViews
order_by
enum<string>

The order to sort results in. By default, results are sorted in descending order. The order that the list of Extensions is sorted in.

Available options:
asc,
desc

Response

Success

data
object[]
required
meta
object
required